/*
  Copyright 2021 Kakao Corp.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.kakao.sdk.partner.friend.network

import com.kakao.sdk.partner.friend.Constants
import com.kakao.sdk.partner.friend.network.model.PickerScopeGroup
import com.kakao.sdk.partner.friend.network.model.PickerUserScope
import retrofit2.Call
import retrofit2.http.GET
import retrofit2.http.Query

/**
 * @suppress
 */
internal interface UserScopeApi {

    @GET(Constants.V2_USER_SCOPES)
    fun userScopes(
        @Query(Constants.SCOPE_GROUP) scopeGroup: PickerScopeGroup,
        @Query(Constants.TARGET_IDS) targetIds: String
    ): Call<List<PickerUserScope>>
}